Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.common
Interface DbLibStatement

public interface DbLibStatement
extends java.sql.CallableStatement

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `executeWriteText(java.lang.String tableName, java.lang.String columnName, byte[] textptr, boolean log, java.io.InputStream in, int length)`
`void` | `setParamName(int colpos, java.lang.String setval)`

Methods inherited from interface java.sql.CallableStatement
`getArray, getBigDecimal, getBigDecimal, getBlob, getBoolean, getByte, getBytes, getClob, getDate, getDate, getDouble, getFloat, getInt, getLong, getObject, getObject, getRef, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, registerOutParameter, registerOutParameter, registerOutParameter, wasNull`

Methods inherited from interface java.sql.PreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, executeBatch, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Method Detail

### executeWriteText

    public int executeWriteText(java.lang.String tableName,
                                java.lang.String columnName,
                                byte[] textptr,
                                boolean log,
                                java.io.InputStream in,
                                int length)
                         throws java.sql.SQLException

### setParamName

    public void setParamName(int colpos,
                             java.lang.String setval)
                      throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD